> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Get pdf

> GET /projects/{projectId}/scenarios/{scenarioId}/pdf-reports/{reportId}



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **projectId** (integer(int64))

- **scenarioId** (integer(int64))

- **reportId** (integer(int32))


### Query parameters

- **isAttachment** (boolean)

- **reportType** (string)

- **fileName** (string)



## Responses
### 200
OK

#### Body: application/pdf (string(byte))
string(byte)

[Powered by Bump.sh](https://bump.sh)
